Skip to main content
GET
Get OS Configuration

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

OS configuration retrieved successfully

Response schema for the general config endpoint

os_id
string
required

Unique identifier for the OS instance

databases
string[]
required

List of database IDs used by the components of the OS instance

agents
AgentSummaryResponse · object[]
required

List of registered agents

teams
TeamSummaryResponse · object[]
required

List of registered teams

workflows
WorkflowSummaryResponse · object[]
required

List of registered workflows

interfaces
InterfaceResponse · object[]
required

List of available interfaces

name
string | null

Name of the OS instance

description
string | null

Description of the OS instance

available_models
string[] | null

List of available models

os_database
string | null

ID of the database used for the OS instance

chat
ChatConfig · object | null

Chat configuration

session
SessionConfig · object | null

Session configuration

metrics
MetricsConfig · object | null

Metrics configuration

memory
MemoryConfig · object | null

Memory configuration

knowledge
KnowledgeConfig · object | null

Knowledge configuration

evals
EvalsConfig · object | null

Evaluations configuration

traces
TracesConfig · object | null

Traces configuration